Examples: query, "exact match", wildcard*, wild?ard, wild*rd
Fuzzy search: cake~ (finds cakes, bake)
Term boost: "red velvet"^4, chocolate^2
Field grouping: tags:(+work -"fun-stuff")
Escaping: Escape characters +-&|!(){}[]^"~*?:\ with \, e.g. \+
Range search: properties.timestamp:[1587729413488 TO *] (inclusive), properties.title:{A TO Z}(excluding A and Z)
Combinations: chocolate AND vanilla, chocolate OR vanilla, (chocolate OR vanilla) NOT "vanilla pudding"
Field search: properties.title:"The Title" AND text
Unanswered
We'Ve Identified A Regression Caused By The Release Of Urllib3 V2, Clearml Sdk 1.10.4Rc1 Is Out And Fixes It, And We'Ll Release The Official Clearml Sdk V1.10.4 Next Week.


@<1523701087100473344:profile|SuccessfulKoala55> Is it a fix for below error which we are getting with new version of clearml server "Starting Task Execution:

Traceback (most recent call last):
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/utilities/requests_toolbelt/compat.py", line 48, in <module>
from requests.packages.urllib3.contrib import appengine as gaecontrib
ImportError: cannot import name 'appengine' from 'requests.packages.urllib3.contrib' (/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/urllib3/contrib/
init _.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/admin/.clearml/venvs-builds/3.10/code/model.py", line 1, in <module>
from clearml import Task
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/_ init .py", line 5, in <module>
from .task import Task
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/task.py", line 45, in <module>
from .backend_interface.metrics import Metrics
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/backend_interface/
init .py", line 2, in <module>
from .task import Task
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/backend_interface/task/
init .py", line 1, in <module>
from .task import Task
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/backend_interface/task/task.py", line 32, in <module>
from ...binding.artifacts import Artifacts
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/binding/artifacts.py", line 23, in <module>
from ..backend_interface.metrics.events import UploadEvent
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/backend_interface/metrics/
init .py", line 2, in <module>
from .interface import Metrics
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/backend_interface/metrics/interface.py", line 14, in <module>
from ...storage.helper import StorageHelper
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/storage/
init .py", line 2, in <module>
from .manager import StorageManager
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/storage/manager.py", line 14, in <module>
from .cache import CacheManager
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/storage/cache.py", line 12, in <module>
from .helper import StorageHelper
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/storage/helper.py", line 35, in <module>
from clearml.utilities.requests_toolbelt import MultipartEncoder
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/utilities/requests_toolbelt/
init .py", line 12, in <module>
from .multipart import (
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/utilities/requests_toolbelt/multipart/
init _.py", line 11, in <module>
from .encoder import MultipartEncoder, MultipartEncoderMonitor
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/utilities/requests_toolbelt/multipart/encoder.py", line 17, in <module>
from .._compat import fields
File "/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/clearml/utilities/requests_toolbelt/compat.py", line 50, in <module>
from urllib3.contrib import appengine as gaecontrib
ImportError: cannot import name 'appengine' from 'urllib3.contrib' (/home/admin/.clearml/venvs-builds/3.10/lib/python3.10/site-packages/urllib3/contrib/
init _.py)"

  
  
Posted one year ago
105 Views
0 Answers
one year ago
one year ago